QIMA Logo
API Reference

8 categories • 44 endpoints

  • All APIs

    44


  • Supplier
    v1.0.0

    Update a supplier

    Request

    Query Parameters
    NameTypeLocationRequiredDescription
    userIdstringpathYesQIMA client user login ID.
    supplierIdstringpathYesSupplier id

    Request Body

    Content-Type: application/json

    FieldTypeRequiredDescription
    idstringNo
    QIMA supplier id
    entityNamestringYes
    Supplier name
    chineseNamestringNo
    Supplier name in local language
    continentstringNo
    Supplier continent id, get it from /parameter/v2/continents
    countrystringYes
    Supplier country id, get it from /parameter/v2/searchCountries, /parameter/v2/countries or /parameter/v2/continent/{continentId}/countries
    provincestringNo
    Supplier province id, get it from /parameter/v2/country/{countryId}/provinces
    citystringYes
    Supplier city id, get it from /parameter/v2/country/{countryId}/searchCities, /parameter/v2/province/{provinceId}/searchCities or /parameter/v2/country/{countryId}/cities
    districtstringNo
    Supplier district id, if applicable. `null` when not provided.
    districtNamestringNo
    Supplier district name, if applicable. `null` when not provided.
    addressstringYes
    Supplier's address
    postcodestringNo
    nearestOfficestringNo
    Nearest QIMA office name
    websitestringNo
    salesTurnoverstringNo
    noOfEmployeesstringNo
    Supplier's employee count
    userIdstringNo
    typestringNo
    businessLicenseNostringNo
    titlestringNo
    addressCnstringNo
    Supplier's address in local language
    identificationCodestringNo
    Supplier's identifier code in client's system, can be used to link suppliers between QIMA's system and QIMA client's system
    cityNamestringNo
    Supplier's city name
    countryNamestringNo
    Supplier's country name
    mainProductLinesarrayYes
    Supplier's product lines, get product line from /parameter/v2/product-families API
    contactInfoobjectYes
    contactInfo.mainobjectYes
    contactInfo.main.namestringYes
    Contact's first name plus given name
    contactInfo.main.departmentstringNo
    contactInfo.main.titlestringNo
    Contact's working position name
    contactInfo.main.phonestringYes
    Contact's phone number
    contactInfo.main.mobilestringNo
    Contact's mobile phone number
    contactInfo.main.emailstringYes
    Contact's email(s), separate by semi-colon when multiple
    contactInfo.alternateobjectNo
    accessMapsarrayNo
    accessMaps[].idstringNo
    accessMaps[].docTypestringNo
    accessMaps[].fileNamestringNo
    accessMaps[].fileSizeintegerNo
    accessMaps[].urlstringNo
    qualityDocsarrayNo
    createBystringNo
    updateBystringNo
    Responses

    200
    True when update is successful

    Content-Type: application/json

    message
    string
    FieldTypeDescription
    messagestring
    FieldTypeDescription
    contentboolean
    {
      "message": null,
      "content": true
    }

    Content-Type: application/json

    PUT
    /user/v2/{userId}/supplier/{supplierId}
    Request samples

    application/json

    { "id": "B8B447FD4CD948BEAC1960DF7253BD90", "entityName": "Supplier ABC", "chineseName": "富士康", "continent": "24865671", "country": "23424781", "province": "12578016", "city": "12687254", "district": "string", "districtName": "string", "address": "NO.1, A ROAD, B STREET, C DISTRICT", "postcode": "string", "nearestOffice": "Shenzhen office", "website": "string", "salesTurnover": "string", "noOfEmployees": "10", "userId": "string", "type": "string", "businessLicenseNo": "string", "title": "string", "addressCn": "string", "identificationCode": "string", "cityName": "Shenzhen", "countryName": "China", "mainProductLines": [ "bigCat1_s2", "bigCat1_s3" ], "contactInfo": { "main": { "name": "Jane Doe", "department": "string", "title": "Quality Manager", "phone": "+86 0755 81112222", "mobile": "+86 13811112222", "email": "main.contact@example.com;alternate.contact@example.com" }, "alternate": {} }, "accessMaps": [ { "id": "string", "docType": "string", "fileName": "string", "fileSize": 1, "url": "string" } ], "qualityDocs": [ {} ], "createBy": "string", "updateBy": "string" }

    Response samples

    application/json

    { "message": null, "content": true }